#include <iostream>
#include <stdio.h>
#include <vector>
#include <algorithm>
using namespace std;

int main()
{
    double xmax = 0;
    double opt;
    vector <double> b;
    struct kikiriki {
        int plata;
        double procenat;
    };
    int n; scanf_s("%d", &n);
    vector<kikiriki> a(n);
    b.resize(n);
    for (int i = 0; i < n; ++i) {
        scanf_s("%d", &a[i].plata);
        scanf_s("%lf", &a[i].procenat);
    }
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            if (a[i].procenat <= a[j].procenat) { 
                xmax += ((a[i].procenat / 100.0) * a[j].plata);
            }
        }
        b[i] = xmax;
        xmax = 0;
    }
    opt = *max_element(b.begin(), b.end());
    printf("%lf", opt);
}